#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QBuffer>
#include "nrj.h"
#include "radiowidget.h"
#include "radio.h"
#include <QDebug>
#include <QAudioOutput>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void setupFinished();
    void radioChanged(Radio* r);
    void radioData(QByteArray data);

private:
    Ui::MainWindow *ui;
    NRJ* nrj;
    Radio* currentRadio;
    QAudioOutput* output;
    QIODevice* out;

};

#endif // MAINWINDOW_H
